<div class="vendor-wrapper vendor-accordian" *ngIf="productDetail && productDetail.vendorProduct">
  <mat-accordion>
    <mat-expansion-panel [expanded]="false" *ngFor="let product of productDetail.vendorProduct | slice:0:showVendorList">
      <mat-expansion-panel-header class="disable-expansion">
        <div class="row vendor-head justify-content-between">
          <div class="col">
            <div class="head-label">{{'labelVendorName' | translate: lang}} :</div>
            <div class="head-value" [title]="product.companyName">{{product.companyName}}</div>
          </div>
          <div class="col">
            <div class="d-inline-flex head-label">{{'labelRatings' | translate: lang}}</div>
            <div class="d-inline-flex head-value">
              <div class="rating-icon">
                {{product.avgRating}} ★
              </div>
            </div>
          </div>
          <div class="col">
            <div class="d-inline-flex head-label">{{'labelPrice' | translate: lang}} :</div>
            <div class="d-inline-flex head-value">
              {{(product.taxDiscountAmount === 0 ? (product.taxSalesPrice | customCurrencyFormat) : (product.taxDiscountAmount | customCurrencyFormat))}}
              <span *ngIf="showDiscount !== 0 && product.taxDiscountAmount !== 0" class="price-view">
                {{product.strikeOutAmount | customCurrencyFormat}}</span>
            </div>

          </div>
          <div class="col">
            <div class="d-inline-flex head-label">{{'labelOffers' | translate: lang}} :</div>
            <div class="d-inline-flex head-value" *ngIf="product.taxDiscount; else dash">
              {{product.discountSymbol === '%' ? (product.taxDiscount + product.discountSymbol) : (product.taxDiscount | customCurrencyFormat)}}
            </div>
          </div>
          <div class="col mr-3">
            <div class="row justify-content-between flex-sm-nowrap vendor-head-btn">
              <button mat-raised-button color="primary" class="black-btn ven-btn mr-2 pointer" *ngIf="product.cartUser !==1" (click)="addCart(productDetail, product)">{{'buttonAddCart' | translate: lang}}</button>
              <button mat-raised-button color="primary" class="black-btn ven-btn mr-2 pointer" *ngIf="product.cartUser === 1" (click)="gotoCart()">{{'buttonGoToCart' | translate: lang}}</button>
              <button mat-raised-button color="primary" class="blue-btn ven-btn pointer" *ngIf="product.cartUser !==1" (click)="buyProduct(productDetail, product)">{{'buttonBuyNow' | translate: lang}}</button>

            </div>
          </div>

        </div>
      </mat-expansion-panel-header>
      <!--<div class="vendor-body">
        <div class="row">
          <div class="col col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12">
            <div>
              <table class="vendor-table">
                <tbody>
                  <tr>
                    <td>{{'labelUserSince' | translate: lang}}</td>
                    <td>&nbsp;: {{product.memberSince | customDate}}</td>
                  </tr>
                  <tr>
                    <td>{{'labelContactEmail' | translate: lang}}</td>
                    <td>&nbsp;: {{product.contactEmail}}</td>
                  </tr>
                  <tr>
                    <td>{{'labelContactPhone' | translate: lang}}</td>
                    <td>&nbsp;: {{countryCode}} {{product.contactPhone}}</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="col col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12">
            <div class="body-label">{{'labelAddress' | translate: lang}} :</div>
            <div class="body-value">
              <pre class="address">
         {{product.addressOne}}</pre>
            </div>
          </div>
          <div class="col col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12">
            <table class="vendor-table">
              <tbody>
                <tr>
                  <td>{{'labelTotalRating' | translate: lang}} </td>
                  <td>&nbsp;: {{product.productRating }}</td>
                </tr>
                <tr>
                  <td>{{'labelRatingReviews' | translate: lang}}</td>
                  <td>&nbsp;: {{product.newProductRating }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>-->
    </mat-expansion-panel>
  </mat-accordion>

  <div class="d-flex justify-content-center show-btn">
    <button mat-raised-button color="accent" *ngIf="showVendorList < productDetail.vendorProduct.length" (click)="increaseVendorList()" >{{'buttonShowMore' | translate: lang}}</button>
  </div>
</div>
<!-- Templates --> 
<ng-template #dash>
  <div class="d-inline-flex head-value">-</div>
</ng-template>